Bug 398551 - Review Request: gfs-theokritos-fonts - GFS Theokritos decorative font
Review Request: gfs-theokritos-fonts - GFS Theokritos decorative font
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-25 13:12 EST by Nicolas Mailhot
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-27 16:38:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-11-25 13:12:42 EST
Spec URL: http://nim.fedorapeople.org/gfs-theokritos-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-theokritos-fonts-20070415-1.fc9.src.rpm

Yannis Kefallinos (1894–1958) was one of the most innovative engravers of his 
generation and the first who researched methodicaly the aesthetics of book and 
typographic design in Greece. He taught at the Fine Arts School of Athens and 
established the first book design workshop from which many practising artists 
of the 60's and 70's had graduated.

In the late 50's Kefallinos designed and published an exquisite book with 
engraved illustrations of the ancient white funerary pottery in Attica in 
collaboration with Varlamos, Montesanto, Damianakis. For the text of 
Kefallinos' Δέκα λευκαί λήκυθοι (1956) the artist used a typeface which he 
himself had designed a few years before for an unrealised edition of 
Theocritos' Idyls. Its complex and heavily decorative design does point to 
aesthetic codes which preoccupied his artistic expression and, although 
impractical for contemporary text setting, it remains an original display face, 
or it can be used as initials.

The book design workshop of the Fine Arts School of Athens has been recently 
reorganised, under the direction of professor Leoni Vidali, and with her 
collaboration George D. Matthiopoulos has redesigned digitaly this historical 
font which is now available as GFS Theokritos.
Comment 1 Parag AN(पराग) 2007-11-26 12:14:11 EST
gfs-theokritos-fonts.noarch: I: checking
gfs-theokritos-fonts.noarch: E: description-line-too-long Kefallinos' Δέκα
λευκαί λήκυθοι (1956) the artist used a typeface which he
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

gfs-theokritos-fonts.noarch: W: no-version-in-last-changelog
The last changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.
Comment 2 Nicolas Mailhot 2007-11-26 13:48:18 EST
Updated version posted at the usual place to cut lines at 79 columns.

Note that rpmlint does not know how to count UTF-8 characters, so if it still
complains do check in an UTF-8 aware editor he's actually right (he isn't)

On the other rpmlint warning:

rpmlint wants to force you to put the version at the end of the first changelog
line, however the official approved Fedora changelog format list includes a
style where the version is not on this line
(http://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs, 3rd style) so
rpmlint's warning is bogus
Comment 3 Parag AN(पराग) 2007-11-26 22:01:26 EST
I agree it was big work for you to ask to fix small issue but still I prefer to
follow what rpmlint says till rpmlint tool gives it as Error and not Warning.

Comment 4 Parag AN(पराग) 2007-11-26 22:26:55 EST
Dunno, But with updated version I still see
gfs-theokritos-fonts.src: E: description-line-too-long Kefallinos' Δέκα λευκαί
λήκυθοι (1956) the artist used a typeface which he

Otherwise Packaging looks ok.

I don't want you to waste your time again now so if you want to fix it then fix
at time of cvs import.
Comment 5 Nicolas Mailhot 2007-11-27 02:00:59 EST
rpmlint is wrong. I actually cheched the line it tags manually - it's less than
79 columns in UTF-8, which is our default encoding.

New Package CVS Request
Package Name: gfs-theokritos-fonts
Short Description: GFS Theokritos decorative font
Owners: nicolas.mailhot@laposte.net
Branches: F-7, F-8, devel
InitialCC: fedora-fonts-bugs-list@redhat.com
Cvsextras Commits: Yes
Comment 6 Kevin Fenzi 2007-11-27 14:57:49 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.